aboutsummaryrefslogtreecommitdiff
path: root/libs_network/libnids/libnids.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libs_network/libnids/libnids.SlackBuild')
-rwxr-xr-xlibs_network/libnids/libnids.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/libs_network/libnids/libnids.SlackBuild b/libs_network/libnids/libnids.SlackBuild
new file mode 100755
index 0000000..689807c
--- /dev/null
+++ b/libs_network/libnids/libnids.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=libnids
+VERSION=1.22
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://belnet.dl.sourceforge.net/sourceforge/libnids
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-install.patch.bz2 | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --prefix=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libnids: libnids
+libnids:
+libnids: Libnids is an implementation of an E-component of Network Intrusion
+libnids: Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
+libnids: offers IP defragmentation, TCP stream assembly and TCP port scan
+libnids: detection.
+libnids:
+libnids: The most valuable feature of libnids is reliability. A number of
+libnids: tests were conducted, which proved that libnids predicts behaviour of
+libnids: protected Linux hosts as closely as possible.
+libnids:
+EOF
+
+install -m644 -g0 -o0 CHANGES CREDITS MISC README doc/API.* doc/LINUX \
+ doc/PATCH doc/PERFORMANCE doc/TESTS doc/bugtraq_post \
+ $PKG/usr/doc/$NAME-$VERSION
+
+gzip -9nf \
+ $PKG/usr/doc/$NAME-$VERSION/API.*
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz